import { 
  select, 
  scaleLinear, 
  extent,
  axisLeft,
  axisBottom
} from 'd3';

export const scatterplot = (selection, props) => {const {data,circleRadius,colorScale,colorValue,selectedArtist,innerHeight, innerWidth
  } = props;
  
  const xValue = d => d.year;
  const xAxisLabel = 'Year';
  const yValue = d => d.gdp;
  const yAxisLabel = 'GDP (In Percent)';
  
  const xScale = scaleLinear()
    .domain(extent(data, xValue))
    .range([0, innerWidth])
    .nice();
    
  const yScale = scaleLinear()
    .domain(extent(data, yValue))
    .range([innerHeight, 0])
    .nice();
  
  const xAxis = axisBottom(xScale)
    .ticks(10)
    .tickSize(-innerHeight)
    .tickPadding(10);
  
  const xAxisG = selection.append('g').call(xAxis)
    .attr('transform', `translate(0,${innerHeight})`);
  
  xAxisG.select('.domain').remove();
  
  xAxisG.append('text')
el);
  

  const pointsEnter = points
    .enter().append('circle')
      .attr('class', 'artist')
      .attr('cy', d => yScale(yValue(d)))
      .attr('cx', d => xScale(xValue(d)))
      .attr('r', circleRadius)
      .attr('fill', d => colorScale(d.country));
   points.merge(pointsEnter)
      .attr('opacity', d =>
        (!selectedArtist || d.country === selectedArtist) ? 1 : 0.05);
};